Subject: bug#79124: emacs -Q doesn't give me a clean slate

From: Paul Eggert <[email-masked]>
Date: Wed, 6 Aug 2025 12:26:02 -0700

On 2025-08-06 11:59, Eli Zaretskii wrote:
> I fail to see the important difference: who said the corruption, such
> as it is, could only happen some time ago, but not immediately as the
> files are created?

It's of course theoretically possible, just as many other things are 
theoretically possible. But practically speaking, it's far, far more 
likely for a user to screw up their home directory over a period of 
several hours or days or more, using any of many common techniques 
(e.g., backups or restores going wrong). None of that is at all likely 
with /tmp files created a few milliseconds ago.

This is a practical issue, not a theoretical one. It's better to not 
ignore practical issues merely because of concerns about issues that are 
problems only in theory.

However, as I mentioned you are a maintainer and I am not, and I suppose 
Emacs users will have to live with your opinion, right or wrong.